FIFO consumption detail for a transaction
curl --request GET \
--url https://api.arcuserp.com/v1/inventory/transactions/{id}/layers \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.arcuserp.com/v1/inventory/transactions/{id}/layers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.arcuserp.com/v1/inventory/transactions/{id}/layers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"fifo_layer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"inventory_transaction_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"quantity": 123,
"unit_cost": 123,
"total_cost": 123,
"layer_before_qty": 123,
"layer_after_qty": 123,
"created_at": "2023-11-07T05:31:56Z"
}
]
}{
"error": "not_found",
"code": "not_found",
"type": "not_found",
"hint": "The requested order does not exist or does not belong to this entity.",
"param": "expand[0]",
"required": "accounts:read",
"request_id": "req_abc123"
}{
"error": "not_found",
"code": "not_found",
"type": "not_found",
"hint": "The requested order does not exist or does not belong to this entity.",
"param": "expand[0]",
"required": "accounts:read",
"request_id": "req_abc123"
}{
"error": "not_found",
"code": "not_found",
"type": "not_found",
"hint": "The requested order does not exist or does not belong to this entity.",
"param": "expand[0]",
"required": "accounts:read",
"request_id": "req_abc123"
}Inventory
FIFO consumption detail for a transaction
Returns the FIFO cost layers consumed or created by a specific inventory transaction. Each
layer record shows the lot ID (or costing layer ID), quantity consumed or added, and the
unit cost at the time of the transaction. Use this endpoint to trace how cost of goods sold
is calculated for a specific fulfillment or return transaction.
Requires inventory:read scope.
GET
/
inventory
/
transactions
/
{id}
/
layers
FIFO consumption detail for a transaction
Authorizations
API key issued per entity via Settings > Developers > API Keys.
Each key carries scopes (e.g. orders:read, products:write).
Bearer token format: Authorization: Bearer ark_live_ent_Test keys use ark_test_ent_. Both are issued per entity
via Settings > Developers > API Keys.
Path Parameters
Response
FIFO layer consumption detail
Show child attributes
Show child attributes
Was this page helpful?
⌘I

